conf_module endian

_endian=

conf_test_endian() {
    conf_depends_on arch
    conf_depends_on cc_run

    echocheck "endian"

    echo "int main(void){int i=1; return ((char*)&i)[0];}" > $_cc_run_i
    cc_run $_cc_run_i && {
        $_cc_run_o && _endian=big || _endian=little
    }

    # cc failed, guess:
    test -z "$_endian" && case $_arch in
        powerpc*|m68k)
            _endian=big ;;
        *)
            _endian=little ;;
    esac

    case $_endian in
        big)    conf_add_define WORDS_BIGENDIAN ;;
        little) conf_add_define WORDS_LITTLEENDIAN ;;
    esac

    echores "$_endian"
    conf_mark_test_done endian
    test -n "$_endian" 
}
