conf_module program

# arguments: variable programname programlist testfunction
#
# programlist is a list of programs. be SURE to place them between
# quotes when calling this functiion
#
# testfunction is a callback function that returns either true or false
# it gets passed one argument, which is the name of the program to test
# this is handy in case multiple tests are gone (like awk, nawk, gawk, etc..)

conf_test_program() {
    echocheck "$2"

    eval $1=

    tmp=$4
    test -z "$4" && tmp=:

    for k in $3 ; do
        eval $tmp $k >/dev/null 2>&1

        if test "$?" = "0" ; then
            eval $1=$k
            break
        fi
    done

    eval tmp=\$$1
    
    ( test -n "$tmp" && echores "$tmp" ) || echores "not found"

    conf_mark_test_done "program:$2"
    test -n "$tmp"
}
