conf_module target

_target=

conf_add_options "expert" \
    "--target=TARGET;_target;(cross)compile for TARGET. when cross-compiling, \
be\\\n\\\t\\\t\\\tsure to setup a proper toolchain.\\\n\\\t\\\t\\\t\
specify cpu-os here (e.g. i586-netbsd);"

conf_test_target() {
    conf_mark_test_done target

    test -z "$_target" && return

    echocheck "target"

    case "$_target" in
        *-*-*)
            die "invalid target! use cpu-os (e.g. i586-netbsd)"
            ;;
        *-*)
            test -z "$ARCH" && ARCH=`echo $_target | cut_fast '-' 1`
            test -z "$CPU" && CPU=`echo $_target | cut_fast '-' 1`
            test -z "$OS" && OS=`echo $_target | cut_fast '-' 2`
            ;;
        *)
            die "invalid target! use cpu-os (e.g. i586-netbsd)"
            ;;
    esac

    echores "$_target"
}
