/* cpuinfo-sparc.c  - small helper utility if there is no /proc/cpuinfo
 *
 * (C)2006 Ivo van Poorten
 */

#include <stdio.h>
#include <sys/types.h>
#include <sys/processor.h>
#include <sys/systeminfo.h>

int main(int argc, char **argv) {
	processor_info_t infop;
	int cpuid;
	char buf[1024];

	cpuid = getcpuid();

	processor_info(cpuid, &infop);

	printf("cpu\t\t: %s\n", infop.pi_processor_type);
	printf("fpu\t\t: %s\n", infop.pi_fputypes);
	sysinfo(SI_HW_PROVIDER, buf, 1024);
	printf("vendor_id\t: %s\n", buf);
	sysinfo(SI_ISALIST, buf, 1024);
	printf("features\t: %s\n", buf);
	sysinfo(SI_MACHINE, buf, 1024);
	printf("type\t\t: %s\n", buf);
	sysinfo(SI_PLATFORM, buf, 1024);
	printf("platform\t: %s\n", buf);
}

