conf_module use_joystick

_use_joystick=
_enable_joystick=enable

conf_add_options "optional" \
  "--enable-joystick;_enable_joystick;xxx;\
  |--disable-joystick;_enable_joystick;disable joystick support [enable];\
  |--force-joystick;_enable_joystick;xxx;"

conf_test_use_joystick() {
    case $_enable_joystick in
        enable)
            conf_depends_on have_linux_joystick_h &&
            conf_add_define USE_JOYSTICK &&
            _use_joystick=yes ;;
        force)
            conf_add_define HAVE_LINUX_JOYSTICK_H
            _have_linux_joystick_h=yes
            conf_add_define USE_JOYSTICK
            _use_joystick=yes ;;
    esac
    echocheck "joystick support"
    test -n "$_use_joystick" && echores "yes" || echores "no"
    conf_mark_test_done use_joystick
    test -n "$_use_joystick"
}
