conf_module use_lirc

_use_lirc=
_enable_lirc=enable

conf_add_options "optional" \
  "--enable-lirc;_enable_lirc;xxx;\
  |--disable-lirc;_enable_lirc;disable LIRC (remote control) support [enable];\
  |--force-lirc;_enable_lirc;xxx;"

conf_test_use_lirc() {
    case $_enable_lirc in
        enable)
            conf_depends_on have_lirc_lirc_client_h &&
            conf_depends_on have_liblirc_client &&
            conf_add_define USE_LIRC &&
            _use_lirc=yes ;;
        force)
            conf_add_define HAVE_LIRC_LIRC_CLIENT_H
            _have_lirc_lirc_client_h=yes
            conf_add_define HAVE_LIBLIRC_CLIENT
            _have_liblirc=yes
            conf_add_define USE_LIRC
            _use_lirc=yes ;;
    esac
    echocheck "LIRC support"
    test -n "$_use_lirc" && echores "yes" || echores "no"
    conf_mark_test_done use_lirc
    test -n "$_use_lirc"
}
