conf_module use_lirccd

_use_lirccd=
_enable_lirccd=enable

conf_add_options "optional" \
    "--enable-lirccd;_enable_lircc;xxx;\
    |--disable-lirccd;_enable_lircc;disable LIRCCD (LIRC Client Daemon) support [enable];\
    |--force-lirccd;_enable_lirccd;xxx;"

conf_test_use_lirccd() {
    case $_enable_lirccd in
        enable)
            conf_depends_on have_lirc_lircc_h &&
            conf_depends_on have_liblircc &&
            conf_add_define USE_LIRCCD &&
            _use_lirccd=yes ;;
        force)
            conf_add_define HAVE_LIRC_LIRCC_H
            _have_lirc_lircc_h=yes
            conf_add_define HAVE_LIBLIRCC
            _have_liblircc=yes
            conf_add_define USE_LIRCCD
            _use_lirccd=yes ;;
    esac
    echocheck "LIRC Client Daemon support"
    test -n "$_use_lirccd" && echores "yes" || echores "no"
    conf_mark_test_done use_lirccd
    test -n "$_use_lirccd"
}
