conf_module extra

_inc_extra=
_lib_extra=

conf_add_options "optional" \
    "--with-extraincdir=DIR;_inc_extra;extra headers in DIR;\
    |--with-extralibdir=DIR;_lib_extra;extra library files in DIR;"

conf_test_extra() {
    echocheck "extra include dirs"

    _inc_extra=`conf_extra_convert "-I" "$_inc_extra"`

    if test -n "$_inc_extra" ; then
        echores "$_inc_extra"
    else
        echores "none"
    fi

    echocheck "extra library dirs"

    _lib_extra=`conf_extra_convert "-L" "$_lib_extra"`

    if test -n "$_lib_extra" ; then
        echores "$_lib_extra"
    else
        echores "none"
    fi

    conf_mark_test_done extra
}

conf_extra_convert() {
    SAVEIFS="$IFS"

    tmp=""
    IFS=":"
    for i in $2 ; do
        tmp="$1$i $tmp"
    done

    echo $tmp

    IFS="$SAVEIFS"
}
