conf_module tempdir

_tempdir=

conf_test_tempdir() {
    echocheck "temporary diskspace"

    for i in $TEMPDIR $TMPDIR /usr/local/tmp /usr/tmp /tmp $HOME/tmp . ; do
        test -d "$i" && test -w "$i" && _tempdir=$i && break
    done

    if test -z "$_tempdir" ; then
        _res_comment="certain checks below might fail"
        echores "not found"
    else
        _res_comment="using $_tempdir"
        echores "found"
    fi

    conf_mark_test_done tempdir
    test -n "$_tempdir"
}
